Bildirim kanalları
GET https://status.bellaroleplay.com/api/notification-handler/
curl --request GET \
--url 'https://status.bellaroleplay.com/api/notification-handler/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://status.bellaroleplay.com/api/notification-handler/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| page | İsteğe bağlı Tam sayı | Sonuçlarını almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe bağlı Tam sayı | Sayfa başına sonuç sayısı. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "İş e-postası",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2021-06-27 22:16:23"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://status.bellaroleplay.com/api/notification-handler?&page=1",
"last": "https://status.bellaroleplay.com/api/notification-handler?&page=1",
"next": null,
"prev": null,
"self": "https://status.bellaroleplay.com/api/notification-handler?&page=1"
}
}
GET https://status.bellaroleplay.com/api/notification-handler/{notification_handler_id}
curl --request GET \
--url 'https://status.bellaroleplay.com/api/notification-handler/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://status.bellaroleplay.com/api/notification-handler/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "İş e-postası",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2021-06-27 22:16:23"
}
}
POST https://status.bellaroleplay.com/api/notification-handlers
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Zorunlu Metin | - |
| type | Zorunlu Metin | İzin verilen değerler: email , webhook , slack , discord , telegram , microsoft_teams |
| İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = email E-posta | |
| webhook | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = webhook Webhook URL'si |
| slack | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = slack Slack webhook URL'si |
| discord | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = discord Discord webhook URL'si |
| telegram | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = telegram Telegram API anahtarı |
| telegram_chat_id | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = telegram Telegram sohbet kimliği |
curl --request POST \
--url 'https://status.bellaroleplay.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Örnek' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://status.bellaroleplay.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Örnek' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://status.bellaroleplay.com/api/notification-handlers/{notification_handler_id}
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | İsteğe bağlı Metin | - |
| type | İsteğe bağlı Metin | İzin verilen değerler: email , webhook , slack , discord , telegram , microsoft_teams |
| İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = email E-posta | |
| webhook | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = webhook Webhook URL'si |
| slack | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = slack Slack webhook URL'si |
| discord | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = discord Discord webhook URL'si |
| telegram | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = telegram Telegram API anahtarı |
| telegram_chat_id | İsteğe bağlı Metin | Kullanılabilirlik koşulu: type = telegram Telegram sohbet kimliği |
| is_enabled | İsteğe bağlı Mantıksal değer | - |
curl --request POST \
--url 'https://status.bellaroleplay.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Örnek yeni ad' \
--form 'is_enabled=1' \
--url 'https://status.bellaroleplay.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Örnek yeni ad' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://status.bellaroleplay.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://status.bellaroleplay.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://status.bellaroleplay.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \